Sky safari chrome compatibility Issue

Asked By 30 points N/A Posted on -
qa-featured

Hi,

I have a Sky Go on my laptop and it is no longer working with Chrome, I don't know what happened. I'm getting an error message. Can anyone tell me what to do? And is it compatible with Safari? I'm not sure about sky safari chrome compatibility but I tried it in IE and it works.

Thanks in advance.

SHARE
Answered By 567085 points N/A #136422

Sky safari chrome compatibility Issue

qa-featured

Maybe the reason why it no longer works is because you are using it with an incompatible web browser. And since you mentioned that you tried using it on Google Chrome then that is definitely the reason why it doesn’t work.

Sky Go only works with Microsoft Internet Explorer 8 or above, Mozilla Firefox 3.5 or above, and Safari 4.0 and above. If you want to use it with Safari, be sure that you are using its version 4.0 or maybe later for the application to work.

Sky Go works with Windows XP Service Pack 3, Windows Vista 32-bit, Windows 7, and Mac OS X 10.5 and above.

To download Sky Go again you may visit.

Login/Register to Answer

Related Questions